class BeaChangeExpiredPasswordInput {
  String tenancyName;
  String oldPassword;
  String newPassword;
  String usernameOrEmailAddress;

  BeaChangeExpiredPasswordInput(
      {this.tenancyName,
        this.oldPassword,
        this.newPassword,
        this.usernameOrEmailAddress});

  BeaChangeExpiredPasswordInput.fromJson(Map<String, dynamic> json) {
    tenancyName = json['tenancyName'];
    oldPassword = json['oldPassword'];
    newPassword = json['newPassword'];
    usernameOrEmailAddress = json['usernameOrEmailAddress'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['tenancyName'] = this.tenancyName;
    data['oldPassword'] = this.oldPassword;
    data['newPassword'] = this.newPassword;
    data['usernameOrEmailAddress'] = this.usernameOrEmailAddress;
    return data;
  }
}