
import 'package:json_annotation/json_annotation.dart';
part 'bea_error.g.dart';

@JsonSerializable()
class BeaError{
  final String message, details;
  final int code;

  BeaError(this.message, this.code, this.details);

  factory BeaError.fromJson(Map<String, dynamic> json) => _$BeaErrorFromJson(json);

  Map<String, dynamic> toJson() => _$BeaErrorToJson(this);

}